summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Vlad <marius.vlad@collabora.com>2021-12-13 13:45:36 +0200
committerMarius Vlad <marius.vlad@collabora.com>2021-12-13 14:48:46 +0200
commit07326040b9ce911989a561558361c0312f8ac67b (patch)
tree74bb35d4f63adf972164979c43e5f3887ac451c6
parent6eabd93d591efbaddb999df84720995c3c4e64d0 (diff)
downloadweston-07326040b9ce911989a561558361c0312f8ac67b.tar.gz
.gitlab-ci: Retrieve return value before any other command
This was previously introduced with commit '.gitlab.ci: Enable debug for libsteat and for the DRM backend' in order to figure out another CI issue we were seeing. Unfortunatelly, not keeping the return value after the tests ran it would silently make the entire CI succeed when it should actually fail. Signed-off-by: Marius Vlad <marius.vlad@collabora.com> Suggested-by: Pekka Paalanen <pekka.paalanen@collabora.com>
-rwxr-xr-x.gitlab-ci/virtme-scripts/run-weston-tests.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/.gitlab-ci/virtme-scripts/run-weston-tests.sh b/.gitlab-ci/virtme-scripts/run-weston-tests.sh
index c236c37f..66da7b33 100755
--- a/.gitlab-ci/virtme-scripts/run-weston-tests.sh
+++ b/.gitlab-ci/virtme-scripts/run-weston-tests.sh
@@ -26,9 +26,11 @@ export SEATD_LOGLEVEL=debug
# we give ourselves a very generous timeout multiplier due to ASan overhead
echo 0x1f > /sys/module/drm/parameters/debug
seatd-launch -- meson test --no-rebuild --timeout-multiplier 4
+# note that we need to store the return value from the tests in order to
+# determine if the test suite ran successfully or not.
+TEST_RES=$?
dmesg &> dmesg.log
echo 0x00 > /sys/module/drm/parameters/debug
-TEST_RES=$?
# create a file to keep the result of this script:
# - 0 means the script succeeded